<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="- submerge"
	ProjectGUID="{57F93FD5-BE94-4F73-AD71-5971256C1AD2}"
	RootNamespace="svndiff"
	Keyword="Win32Proj"
	TargetFrameworkVersion="131072"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\bin\Debug"
			IntermediateDirectory="Debug"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="$(SC_INCLUDE)"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_CONSOLE;_CRT_SECURE_NO_DEPRECATE;QT_DLL;QT_THREAD_SUPPORT;QT3_SUPPORT"
				MinimalRebuild="true"
				ExceptionHandling="2"
				BasicRuntimeChecks="3"
				SmallerTypeCheck="true"
				RuntimeLibrary="3"
				BufferSecurityCheck="true"
				EnableFunctionLevelLinking="true"
				DisableLanguageExtensions="false"
				RuntimeTypeInfo="true"
				UsePrecompiledHeader="0"
				BrowseInformation="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="4"
				DisableSpecificWarnings="4996"
				ShowIncludes="false"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				AdditionalIncludeDirectories="..\..\subversion\apr\include"
				ShowProgress="false"
				ResourceOutputFileName="$(IntDir)/sc.res"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="libapr-1.lib libaprutil-1.lib libapriconv-1.lib libsvn_diff-1.lib libsvn_subr-1.lib QtCored4.lib QtGuid4.lib Qt3Supportd4.lib intl3_svnd.lib dbghelp.lib"
				OutputFile="$(OutDir)/$(InputName)Dw.exe"
				LinkIncremental="2"
				AdditionalLibraryDirectories="$(LIBPATH_DEBUG)"
				IgnoreAllDefaultLibraries="false"
				IgnoreDefaultLibraryNames=""
				GenerateDebugInformation="true"
				ProgramDatabaseFile="$(OutDir)/$(InputName)D.pdb"
				SubSystem="1"
				EntryPointSymbol=""
				RandomizedBaseAddress="1"
				FixedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				Description="creating $(InputName)D$(TargetExt) ..."
				CommandLine="copy $(TargetDir)$(TargetName)$(TargetExt) $(TargetDir)$(InputName)D$(TargetExt)&#x0D;&#x0A;editbin /SUBSYSTEM:WINDOWS $(TargetDir)$(InputName)D$(TargetExt)&#x0D;&#x0A;"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\bin\Release"
			IntermediateDirectory="Release"
			ConfigurationType="1"
			InheritedPropertySheets="$(VCInstallDir)VCProjectDefaults\UpgradeFromVC71.vsprops"
			CharacterSet="0"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="/Oy-"
				Optimization="1"
				AdditionalIncludeDirectories="$(SC_INCLUDE)"
				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_CRT_SECURE_NO_DEPRECATE;QT_DLL;QT_THREAD_SUPPORT;QT3_SUPPORT"
				ExceptionHandling="2"
				BasicRuntimeChecks="0"
				SmallerTypeCheck="false"
				RuntimeLibrary="2"
				DisableLanguageExtensions="false"
				RuntimeTypeInfo="true"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
				DisableSpecificWarnings="4996"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				AdditionalIncludeDirectories="..\..\subversion\apr\include"
				ResourceOutputFileName="$(IntDir)/sc.res"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="libapr-1.lib libaprutil-1.lib libapriconv-1.lib libsvn_diff-1.lib libsvn_subr-1.lib QtCore4.lib QtGui4.lib Qt3Support4.lib intl3_svn.lib dbghelp.lib"
				OutputFile="$(OutDir)/$(InputName)w.exe"
				LinkIncremental="1"
				AdditionalLibraryDirectories="$(LIBPATH_RELEASE)"
				GenerateDebugInformation="true"
				ProgramDatabaseFile="$(OutDir)/$(InputName).pdb"
				GenerateMapFile="true"
				MapFileName="$(OutDir)/sm.map"
				MapExports="true"
				SubSystem="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				OptimizeForWindows98="0"
				RandomizedBaseAddress="1"
				FixedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				Description="creating $(InputName)$(TargetExt) ..."
				CommandLine="copy $(TargetDir)$(TargetName)$(TargetExt) $(TargetDir)$(InputName)$(TargetExt)&#x0D;&#x0A;editbin /SUBSYSTEM:WINDOWS $(TargetDir)$(InputName)$(TargetExt)&#x0D;&#x0A;"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\ColorId.h"
				>
			</File>
			<File
				RelativePath=".\ConfigManager.cpp"
				>
			</File>
			<File
				RelativePath=".\ConfigManager.h"
				>
			</File>
			<File
				RelativePath=".\Conflict.h"
				>
			</File>
			<File
				RelativePath=".\ConflictMarkerWidget.cpp"
				>
			</File>
			<File
				RelativePath=".\ConflictMarkerWidget.h"
				>
			</File>
			<File
				RelativePath=".\Diff.cpp"
				>
			</File>
			<File
				RelativePath=".\Diff.h"
				>
			</File>
			<File
				RelativePath=".\Diff3.cpp"
				>
			</File>
			<File
				RelativePath=".\Diff3.h"
				>
			</File>
			<File
				RelativePath=".\Diff3Widget.cpp"
				>
			</File>
			<File
				RelativePath=".\Diff3Widget.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\DiffBaton.h"
				>
			</File>
			<File
				RelativePath=".\DiffInfo.cpp"
				>
			</File>
			<File
				RelativePath=".\DiffInfo.h"
				>
			</File>
			<File
				RelativePath=".\DiffInfoModel.h"
				>
			</File>
			<File
				RelativePath=".\DiffInfoModelImpl.cpp"
				>
			</File>
			<File
				RelativePath=".\DiffInfoModelImpl.h"
				>
			</File>
			<File
				RelativePath=".\DiffInfoTarget.h"
				>
			</File>
			<File
				RelativePath=".\DiffParam.h"
				>
			</File>
			<File
				RelativePath=".\DoubleTextWidget.cpp"
				>
			</File>
			<File
				RelativePath=".\DoubleTextWidget.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						AdditionalDependencies="TextViewWidget.h"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						AdditionalDependencies="TextViewWidget.h"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\FileSelectDialog.cpp"
				>
			</File>
			<File
				RelativePath=".\FileSelectDialog.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\LinePainter.cpp"
				>
			</File>
			<File
				RelativePath=".\LinePainter.h"
				>
			</File>
			<File
				RelativePath=".\LineTokenizer.cpp"
				>
			</File>
			<File
				RelativePath=".\LineTokenizer.h"
				>
			</File>
			<File
				RelativePath=".\MainWindow.cpp"
				>
			</File>
			<File
				RelativePath=".\MainWindow.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\Merge.h"
				>
			</File>
			<File
				RelativePath=".\NullDiffInfoModel.cpp"
				>
			</File>
			<File
				RelativePath=".\NullDiffInfoModel.h"
				>
			</File>
			<File
				RelativePath=".\OutBaton.h"
				>
			</File>
			<File
				RelativePath=".\PainterSetup.h"
				>
			</File>
			<File
				RelativePath=".\Pair.h"
				>
			</File>
			<File
				RelativePath=".\ScrollPositionCalculator.h"
				>
			</File>
			<File
				RelativePath=".\Settings.cpp"
				>
			</File>
			<File
				RelativePath=".\Settings.h"
				>
			</File>
			<File
				RelativePath=".\SingleTextWidget.cpp"
				>
			</File>
			<File
				RelativePath=".\SingleTextWidget.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						AdditionalDependencies="TextViewWidget.h"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						AdditionalDependencies="TextViewWidget.h"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\submerge.cpp"
				>
			</File>
			<File
				RelativePath=".\TextGlueWidget.cpp"
				>
			</File>
			<File
				RelativePath=".\TextGlueWidget.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\TextLineNrWidget.cpp"
				>
			</File>
			<File
				RelativePath=".\TextLineNrWidget.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\TextPositionCalculator.h"
				>
			</File>
			<File
				RelativePath=".\TextViewWidget.cpp"
				>
			</File>
			<File
				RelativePath=".\TextViewWidget.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\TextWidget.cpp"
				>
			</File>
			<File
				RelativePath=".\TextWidget.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
						CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
						Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath=".\Tokenizer.h"
				>
			</File>
			<Filter
				Name="settings"
				>
				<File
					RelativePath=".\settings\FontSettings.h"
					>
				</File>
				<File
					RelativePath=".\settings\FontSettingsInfo.cpp"
					>
				</File>
				<File
					RelativePath=".\settings\FontSettingsInfo.h"
					>
				</File>
				<File
					RelativePath=".\settings\FontSettingsWidget.cpp"
					>
				</File>
				<File
					RelativePath=".\settings\FontSettingsWidget.h"
					>
					<FileConfiguration
						Name="Debug|Win32"
						>
						<Tool
							Name="VCCustomBuildTool"
							Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
							CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
							Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
						/>
					</FileConfiguration>
					<FileConfiguration
						Name="Release|Win32"
						>
						<Tool
							Name="VCCustomBuildTool"
							Description="moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp"
							CommandLine="$(SC_PATH)/moc $(InputPath) -o $(InputDir)moc\$(InputName)_moc.cpp&#x0D;&#x0A;"
							Outputs="$(InputDir)moc\$(InputName)_moc.cpp"
						/>
					</FileConfiguration>
				</File>
				<Filter
					Name="_moc"
					>
					<File
						RelativePath=".\settings\moc\FontSettingsWidget_moc.cpp"
						>
					</File>
				</Filter>
			</Filter>
			<Filter
				Name="_moc"
				>
				<File
					RelativePath=".\moc\Diff3Widget_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\DoubleTextWidget_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\FileSelectDialog_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\MainWindow_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\SingleTextWidget_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\TextGlueWidget_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\TextLineNrWidget_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\TextViewWidget_moc.cpp"
					>
				</File>
				<File
					RelativePath=".\moc\TextWidget_moc.cpp"
					>
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
			<File
				RelativePath="..\sublib\sc.ico"
				>
			</File>
			<File
				RelativePath=".\sc.rc"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCResourceCompilerTool"
						PreprocessorDefinitions="_DEBUG"
						AdditionalIncludeDirectories=".."
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCResourceCompilerTool"
						AdditionalIncludeDirectories=".."
					/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
